#!/bin/bash

# ============LICENSE_START=======================================================
#  Copyright (C) 2019 The Nordix Foundation. All rights reserved.
# ================================================================================
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# SPDX-License-Identifier: Apache-2.0
# ============LICENSE_END=========================================================

set -o errexit
set -o nounset

source /etc/os-release || source /usr/lib/os-release
case ${ID,,} in
  centos)
    pkg_mgr_cmd="yum"
    ;;
  ubuntu)
    pkg_mgr_cmd="apt"
    ;;
esac

# just wait few seconds before attempting to check pkg manager process
sleep 10

echo "Info  : Waiting for completion of an existing $pkg_mgr_cmd process before proceeding..."
while true; do
  pkg_mgr_process=$(pgrep -f $pkg_mgr_cmd | cat)
  if [[ -n $pkg_mgr_process ]]; then
    sleep 10
  else
    break
  fi
done
echo "Info  : $pkg_mgr_cmd process done. Continuing..."

# vim: set ts=2 sw=2 expandtab:
